Classes
The following classes are available globally.
-
EventChannel - generic helper class that allows
EventPublisherandEventSubsciberto communicate with each other.Example:
let cameraEventsChannel = EventChannel<CameraEvent>() cameraEventsChannel.subscriber.subscribe(target: self) { [weak self] event in self?.handle(cameraEvent: event) } cameraEventsChannel.publisher.publish(event: .cameraChanged(properties: cameraProperties))Method
self?.handle(cameraEvent: event)will called when.cameraChanged(properties: cameraProperties)occures.Important
This is a Public Preview API. It may be changed or removed at any time.Declaration
Swift
public class EventChannel<T> where T : Event
-
FileOutput- Used to save logs into files. Logs are saved inside applicationSupportDirectory withgologfile extension.Important
This is a Public Preview API. It may be changed or removed at any time.Declaration
Swift
public class FileOutput : LoggerOutput
-
FileOutput- Default logger output - prints logs usingSwift.printImportant
This is a Public Preview API. It may be changed or removed at any time.Declaration
Swift
public class ConsoleOutput : LoggerOutput
-
See more
Important
This is a Public Preview API. It may be changed or removed at any time.Declaration
Swift
public class Logger
-
Important
This is a Public Preview API. It may be changed or removed at any time.Declaration
Swift
public class JSONResponseDecoder : HTTPHandlerResponseDecoder
-
Important
This is a Public Preview API. It may be changed or removed at any time.Declaration
Swift
public class StringResponseDecoder : HTTPHandlerResponseDecoder
-
JSONBodyCreator creates an http request body based on a
HTTPHandlerRequestProtocolrequest.Important
This is a Public Preview API. It may be changed or removed at any time.Declaration
Swift
public class JSONBodyCreator : HTTPRequestBodyCreator
-
HTTPHandler is a default implementation of HTTP REST client.
See moreImportant
This is a Public Preview API. It may be changed or removed at any time.Declaration
Swift
public class HTTPHandler : HTTPHandlerProtocol
-
Important
This is a Public Preview API. It may be changed or removed at any time.Declaration
Swift
public final class NetworkMonitor : NetworkMonitorProtocol -
Important
This is a Public Preview API. It may be changed or removed at any time.Declaration
Swift
public class PolylineEncoder -
Important
This is a Public Preview API. It may be changed or removed at any time.Declaration
Swift
open class BaseOperation : Operation
-
Important
This is a Public Preview API. It may be changed or removed at any time.Declaration
Swift
public class DistanceRangeFormatter : DistanceRangeFormatterProtocol -
Base class of asynchronous operation.
Important
This is a Public Preview API. It may be changed or removed at any time.Declaration
Swift
open class AsyncOperation : Operation
-
FileStorage allow to store data
See moreImportant
This is a Public Preview API. It may be changed or removed at any time.Declaration
Swift
public final class FileStorage<T> where T : Decodable, T : Encodable -
Class allowing validation of keys.
See moreImportant
This is a Public Preview API. It may be changed or removed at any time.Declaration
Swift
public class KeyValidator
-
Important
This is a Public Preview API. It may be changed or removed at any time.Declaration
Swift
public class ObservableHandler : ObservableProtocol -
Schedules task on the main thread with throttling. Each subsequent task scheduled earlier than throttle interval expired, would cancel out the previous task. This class is not thread-safe, so all calls to it should be performed within the same thread.
See moreImportant
This is a Public Preview API. It may be changed or removed at any time.Declaration
Swift
public final class Throttler -
An abstraction if
UIViewstyling.See moreImportant
This is a Public Preview API. It may be changed or removed at any time.Declaration
Swift
open class UIViewStyle<T> where T : UIView
Classes Reference